import { Plugin } from "@webiny/plugins";
export declare abstract class CompressionPlugin extends Plugin {
    static readonly type: string;
    /**
     * Check if data can be compressed.
     */
    abstract canCompress(data: any): boolean;
    /**
     * Pass the data to get the compressed one back.
     */
    abstract compress(data: any): Promise<any>;
    /**
     * Check if data can be decompressed.
     */
    abstract canDecompress(data: any): boolean;
    /**
     * Passed the compressed data to get the original data back.
     */
    abstract decompress(data: any): Promise<any>;
}
