"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ElasticsearchIndexPlugin = void 0;
var _error = _interopRequireDefault(require("@webiny/error"));
var _plugins = require("@webiny/plugins");
class ElasticsearchIndexPlugin extends _plugins.Plugin {
  constructor(params) {
    super();
    const {
      locales,
      body
    } = params;
    this.body = {
      ...body
    };
    this.locales = locales ? locales.map(locale => locale.toLowerCase()) : undefined;
  }
  canUse(locale) {
    if (!this.locales) {
      return true;
    } else if (this.locales.length === 0) {
      throw new _error.default("Cannot have Elasticsearch Index Template plugin with no locales defined.", "LOCALES_ERROR", {
        body: this.body,
        locales: this.locales
      });
    }
    return this.locales.includes(locale.toLowerCase());
  }
}
exports.ElasticsearchIndexPlugin = ElasticsearchIndexPlugin;

//# sourceMappingURL=ElasticsearchIndexPlugin.js.map