"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ElasticsearchQueryBuilderOperatorNotPlugin = void 0;
var _ElasticsearchQueryBuilderOperatorPlugin = require("../definition/ElasticsearchQueryBuilderOperatorPlugin");
class ElasticsearchQueryBuilderOperatorNotPlugin extends _ElasticsearchQueryBuilderOperatorPlugin.ElasticsearchQueryBuilderOperatorPlugin {
  name = "elasticsearch.queryBuilder.operator.not.default";
  getOperator() {
    return "not";
  }
  apply(query, params) {
    const {
      value,
      path,
      basePath
    } = params;
    if (value === null) {
      query.filter.push({
        exists: {
          field: path
        }
      });
      return;
    }
    const typeOf = typeof value;
    if (typeOf === "boolean") {
      query.filter.push({
        bool: {
          must_not: {
            term: {
              [path]: value
            }
          }
        }
      });
      return;
    }
    const useBasePath = typeOf !== "string";
    const valuePath = useBasePath ? basePath : path;
    query.must_not.push({
      term: {
        [valuePath]: value
      }
    });
  }
}
exports.ElasticsearchQueryBuilderOperatorNotPlugin = ElasticsearchQueryBuilderOperatorNotPlugin;

//# sourceMappingURL=not.js.map