"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ElasticsearchQueryBuilderOperatorStartsWithPlugin = void 0;
var _ElasticsearchQueryBuilderOperatorPlugin = require("../definition/ElasticsearchQueryBuilderOperatorPlugin");
class ElasticsearchQueryBuilderOperatorStartsWithPlugin extends _ElasticsearchQueryBuilderOperatorPlugin.ElasticsearchQueryBuilderOperatorPlugin {
  name = "elasticsearch.queryBuilder.operator.startsWith.default";
  getOperator() {
    return "startsWith";
  }
  apply(query, params) {
    const {
      value,
      basePath
    } = params;
    if (value === "" || value === null || value === undefined) {
      return;
    }
    query.filter.push({
      match_phrase_prefix: {
        [basePath]: value
      }
    });
  }
}
exports.ElasticsearchQueryBuilderOperatorStartsWithPlugin = ElasticsearchQueryBuilderOperatorStartsWithPlugin;

//# sourceMappingURL=startsWith.js.map